module.exports = {
    debugMode: 1,

    //当前关卡 (大关)
    CurrentLevels: 1,
    //当前小关卡 （小关）
    SmallLevel: 1, 
    //用来处理水果清除后的加的金币数
    crashFruitNum: 0,
    //大关中的小关卡
    swampyNum: 0,

    //飞镖分身3发，使用次数
    weaponClones: 0,
    //体验飞镖皮肤 ,使用次数
    weaponSkin: 0,
    knifeSkinId: null,

    //体验关卡，给的三飞镖， 打过一大关就会没有
    experWeapons: false,
    //本局拥有的金币数
    curGold: 0,
    //用户拥有的金币数
    // userGold: 0,
    //用来存储过小关得到的水杯
    waterGrass:0,

    continueState: 15,  //记录看继续游戏按钮是否点击过

    //水果数据的配置  (spineAnim1为爆开特效，spineAnim2进入杯子特效,spineAnim3水果切成两半特效,effect为切中播放的音效)
    //juiceColor为果汁颜色
    fruitType :[
        {spineAnim1:"await11",spineAnim2:"await12",spineAnim3:"await1",effect:1,juiceColor:1},   //橙子
        {spineAnim1:"await21",spineAnim2:"await22",spineAnim3:"await2",effect:2,juiceColor:2},   //西瓜
        {spineAnim1:"await31",spineAnim2:"await32",spineAnim3:"await3",effect:3,juiceColor:3},   //苹果     
        {spineAnim1:"await41",spineAnim2:"await42",spineAnim3:"await4",effect:4,juiceColor:4},   //柠檬
        {spineAnim1:"await51",spineAnim2:"await52",spineAnim3:"await5",effect:5,juiceColor:5},   //奇异果
        // {spineAnim1:"await61",spineAnim2:"await62",spineAnim3:"await6",effect:6,juiceColor:6},   //菠萝  ->草莓
        {spineAnim1:"await111",spineAnim2:"await112",spineAnim3:"await11",effect:6,juiceColor:6},   //草莓
        {spineAnim1:"await71",spineAnim2:"await72",spineAnim3:"await7",effect:7,juiceColor:7},   //芒果
        {spineAnim1:"await81",spineAnim2:"await82",spineAnim3:"await8",effect:8,juiceColor:8},   //荔枝
        // {spineAnim1:"await91",spineAnim2:"await92",spineAnim3:"await9",effect:9,juiceColor:9},   //香蕉  ->梨子
        {spineAnim1:"await131",spineAnim2:"await132",spineAnim3:"await13",effect:9,juiceColor:9},   //梨子
        // {spineAnim1:"await101",spineAnim2:"await102",spineAnim3:"await10",effect:10,juiceColor:10},   //樱桃  ->桃子
        // {spineAnim1:"await121",spineAnim2:"await122",spineAnim3:"await12",effect:10,juiceColor:10},   //桃子
        {spineAnim1:"await61",spineAnim2:"await62",spineAnim3:"await6",effect:10,juiceColor:10},   //菠萝 
    ],
   
}